;; Quail package `chinese-ctlaub'
;;   Generated by the command `miscdic-convert'
;;   Source dictionary file: CTLau-b5.html
;;   Copyright notice of the source file
;;------------------------------------------------------
;; "CTLau-b5.html" is available at:
;;
;;   http://umunhum.stanford.edu/~lee/chicomp/CTLau-b5.html
;;
;; It contains the following copyright notice:
;;
;; # Copyright (C) 1988-2001  Fung Fung Lee (lee@umunhum.stanford.edu)
;; #
;; # This program is free software; you can redistribute it and/or
;; # modify it under the terms of the GNU General Public License
;; # as published by the Free Software Foundation; either version 2
;; # of the License, or any later version.
;; #
;; # This program is distributed in the hope that it will be useful,
;; # but WITHOUT ANY WARRANTY; without even the implied warranty of
;; # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; # GNU General Public License for more details.
;; #
;; # You should have received a copy of the GNU General Public License
;; # along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;------------------------------------------------------

;;; Code:

(require 'quail)
(quail-define-package "chinese-ctlaub" "Chinese-BIG5" "Bf" t
"~rJGBfG

 Bfy`
 Sidney Lau's Cantonese transcription scheme as described in his book
 \"Elementary Cantonese\", The Government Printer, Hong Kong, 1972.
 This file was prepared by Fung Fung Lee (p).
 Originally converted from CTCPS3.tit
 Last modified: June 2, 1993.

 Some infrequent characters are accessed by typing \\, followed by
 the Cantonese romanization of the respective radical ()."
  '(("" . quail-delete-last-char)
   ("." . quail-next-translation)
   (">" . quail-next-translation)
   ("," . quail-prev-translation)
   ("<" . quail-prev-translation))
  nil nil nil nil)

(quail-define-rules
("a" "ھ~rXרȴ")
("aai" "J̫ui")
("aan" "˭")
("aang" "Ģ")
("aap" "n")
("aat" "")
("aau" "")
("ak" "S")
("am" "tf")
("ang" "a")
("au" "ü޹x")
("ba" "ڪݥza͹vQ}jJ")
("baai" "\ѫ")
("baak" "զʧBթR")
("baan" "Z{O")
("baang" "^")
("baat" "K")
("baau" "]cMjz")
("bai" "ɽű͹")
("bak" "_")
("bam" "")
("ban" "±lyb~[lg")
("bang" "Y")
("bat" "޶[ʹ]Z")
("be" "")
("bei" "QdƤqʸOΩhȷuׯcsPů")
("beng" "`f")
("bik" "GѾ")
("bin" "ЫKS˿G|@X")
("bing" "çLBìn")
("bit" "Ožxçc")
("biu" "гCD")
("bo" "OɨBɽǮïƳ_Hns")
("boh" "ԼiYIq")
("bok" "iչ`Kyr")
("bong" "]jS")
("booi" "IMXVH")
("boon" "b`h̭fqD")
("boot" "ܮ伷k")
("buk" "Rrz")
("bung" "")
("cha" "dteӳgøҾ")
("chaai" "q[")
("chaak" "Ul")
("chaam" "FGeUav")
("chaan" "겣\T")
("chaang" "")
("chaap" "")
("chaat" "á|")
("chaau" "۶r_nf")
("chai" "Yϩdܿ")
("cham" "MIIG@X")
("chan" "жXŨ˯lE{")
("chang" "h")
("chap" "r")
("chat" "Cm")
("chau" "SåCYw}s復")
("che" "BG")
("chek" "")
("cheng" "")
("cheuk" "W諸c`Ӧq")
("cheung" "ԵszZۭҺjmϱ@")
("chi" "릸lZU;KϻOͦګm׶MqE")
("chik" "Nw")
("chim" "ñչj")
("chin" "dqeLŸdEa")
("ching" "ٱ{ЧegxCM@f")
("chip" "c")
("chit" "MP]")
("chiu" "¶WG@kN|vLx")
("cho" "WѱʾLļue")
("choh" "VS¦Rb")
("choi" "Bm~]ĵ潲ɮ")
("chong" "ɳíܻaɽHt")
("chue" "BopxƸpWJ]")
("chuen" "sǥtݦO«oǬuCJ")
("chuet" "s_DF")
("chui" "jHQRZʯܻAͰ}u")
("chuk" "PztWbH")
("chun" "K`")
("chung" "RqRdow^OPJ")
("chut" "XJ")
("da" "")
("daai" "jab")
("daam" "ܯԾxHC")
("daan" "椦X帥ϼuJົ")
("daap" "fD")
("daat" "FŶ")
("dai" "eCҧ̥")
("dak" "woS")
("dang" "޿OnHu")
("dat" "Y")
("dau" "ݰ°~rkoBu")
("de" "R")
("dei" "a")
("dek" "")
("deng" "nvo")
("deuh" "")
("deuk" "Z")
("dik" "w}Ĩf޹")
("dim" "Ii")
("din" "qKQԨlAqf")
("ding" "wqBmڤͪ")
("dip" "н|")
("dit" "^c")
("diu" "QJոMpN䷶I")
("do" "MD׳@秪oˮqɽ_s")
("doh" "hWkZ")
("doi" "NݳUL")
("dok" "M")
("dong" "L")
("duen" "uq_ݽv")
("duet" "")
("dui" "I")
("duk" "Wr}Ū|wu")
("dun" "y[wP")
("dung" "ʪFlV˾}Nl")
("fa" "")
("faai" "ֶ_D")
("faan" "xcϱSZÿä|f½sЪc")
("faat" "okW")
("fai" "Opͼomu")
("fan" "Th^ɼXIWBV")
("fat" "򩿩جt@FX")
("fau" "_Be")
("fe" "")
("fei" "D̵έmBP")
("foh" "fd")
("fok" "N")
("fong" "p{ڪթШXW̷EϪDwb")
("foo" "ҩIIŰyƼŹ߫RjƩGuťItrJGWwǬ\Ҫ{tu")
("fooi" "ǫ⫶ٳ")
("foon" "we")
("foot" "")
("fuk" "_AֿTиL")
("fung" "_׫ʷpWƲl{ة^w")
("ga" "[[ǹEa[rSP")
("gaai" "ѤɵΧ٪λ|Űn")
("gaak" "޹jлJf")
("gaam" "ų")
("gaan" "l²}õZPPz߼")
("gaang" "")
("gaap" "ҧU[Kh")
("gaau" "иdͻǬ嵱˳")
("gai" "p~U")
("gam" "P̬apAT")
("gan" "ڤyԻ")
("gang" "ü]ոeC")
("gap" "F")
("gat" "N˸")
("gau" "s¤Eeh[b\ϩS")
("gei" "XOJ޺ߦٰծVvɫHҧTB")
("geng" "V")
("geuk" "}")
("geung" "æ")
("gik" "ƿEEu")
("gim" "C˭ݻ")
("gin" "ذ䱶x")
("ging" "|gʹҴlĵqjv")
("gip" "T")
("git" "Ǯ")
("giu" "źsbBú")
("go" "ZitoI̿|`A")
("goh" "qӭ")
("goi" "ӧ")
("gok" "ıUը")
("gon" "Fxz")
("gong" "䩣z^b")
("goo" "jfTѩtGdۣBhUWlD")
("goon" "ޫa[xe]W|")
("got" "θ")
("guen" "YS²hԮ")
("gui" "ڥy|ߩ~xй")
("guk" "⨦Av")
("gung" "\u@BǨѰ`c}d^G")
("gwa" "ʱlK")
("gwaai" "ĩ")
("gwaan" "D")
("gwaang" "}")
("gwaat" "A")
("gwai" "ducֺktӭyޮ۸QXo")
("gwan" "gxuҶvpOa")
("gwang" "F")
("gwat" "]")
("gwing" "")
("gwoh" "LGq")
("gwok" "")
("gwong" "s")
("ha" "LUvHI")
("haai" "eĴ{cɾ")
("haak" "~")
("haam" "Ϋw[`")
("haan" "~_")
("haang" "q|")
("haap" "tlUߩE")
("haau" "ĺVզҧqëN")
("hai" "tO{")
("hak" "軮³اJ")
("ham" "ѧtowٳɧOX")
("han" "ܲ")
("hang" "ūְ٧")
("hap" "LXVXg")
("hat" "֤^MҨ")
("hau" "fԳJUpmM")
("hei" "_DƳߨTK۰Z󺳼H보m^fQH")
("hek" "Y")
("heuh" "u")
("heung" "VTɭζm")
("him" "I")
("hin" "om㻺aȱȾ˭l")
("hing" "BySj")
("hip" "pĨ󮵯")
("hit" "")
("hiu" "幮¬۾Ż")
("ho" "Enz@ӶéqVŹ")
("hoh" "ie]PVS")
("hoi" "`}bͳ϶Z")
("hok" "b")
("hon" "H~ݦZu§򮫲kvܬM")
("hong" "dCJBR\Ķ")
("hot" "")
("huen" "ٰU")
("huet" "")
("hui" "\hNVHݷ")
("huk" "ŭ")
("hung" "ŮMiExEձݦI")
("ja" "^QEB\\K")
("jaai" "NŹ")
("jaak" "dvCܿAYKֹV")
("jaam" "ȱٹٴ")
("jaan" "g̺ġ")
("jaang" "øCu")
("jaap" "ŧhw߻")
("jaat" "ϥ")
("jaau" "JyJn")
("jai" "ںJŴw")
("jak" "h")
("jam" "Erw}")
("jan" "uþ_}`һ")
("jang" "WOW")
("jap" "İ")
("jat" "e˻貿")
("jau" "ws޴N{SPGKz~Q`")
("je" "o̭ɩj㽩Bغk")
("jek" "u᪥A")
("jeng" "bG")
("jeuk" "u۳ZN")
("jeung" "iHNx߼ռK󹳼̳sVbMȿ`٭α")
("ji" "l۵rӤdvuȦܦx}x۪Ksjϯק}kPmXtԫSn篭ETh")
("jik" "Z¾´yYnIǪiuӴޭȺ{ͥVh")
("jim" "yĺz¤ߪgĸ")
("jin" "iqΰ˽b^YVӾ̱")
("jing" "xRFts]ôVg")
("jip" "٫")
("jit" "`Ih")
("jiu" "ԵJϩ۪hӥlB@")
("jo" "ճyDVĦǰDm_")
("joh" "Uy[")
("joi" "bAva_r")
("jok" "@wQg")
("jong" "BŦβ˧N")
("jue" "D`۽ѽޮ]禮ݵNֳEűanܯg")
("juen" "ǱMpLjF")
("juet" "sD")
("jui" "̾KǩCjqEIԶALo@lؼY")
("juk" "UĲLbvfvBoNT")
("jun" "iɷǬzum\@O")
("jung" "زav`׹|^wة~Oܺq")
("jut" "")
("ka" "d@a")
("kaai" "")
("kaat" "")
("kaau" "aR")
("kai" "]ҰW")
("kam" "̵^Vʵ")
("kan" "Ԫ")
("kap" "ΧlVD")
("kat" "y")
("kau" "ʺcDʦݸFyޥnȶ~")
("ke" "MaX")
("kei" "ѨX_[T§XRQ_")
("kek" "@")
("keuk" "o")
("keung" "jfm")
("kim" "rX")
("kin" "@")
("king" "Hã")
("kit" "e屴Ȥm~\")
("kiu" "카¼")
("koh" "")
("koi" "\t@nWO")
("kok" "TqUe")
("kong" "Xgqpm")
("koo" "T")
("kooi" "Døz|")
("koot" "Aŵ")
("kuen" "v")
("kuet" "ZMPֹn")
("kui" "ϩsڶZXF׶£")
("kuk" "")
("kung" "a")
("kwa" "joظ˺")
("kwaang" "")
("kwai" "Ws\PRf")
("kwan" "x@~ߩ[ȸsC")
("kwik" "~")
("kwong" "qm")
("la" "իf")
("laai" "Կ")
("laam" "eĥxlİ")
("laan" "diiS")
("laang" "N")
("laap" "þU")
("laat" "")
("lai" "Rp§Fyz")
("lak" "ǦR")
("lam" "YLM{O")
("lap" "ߥWɲ")
("lat" "")
("lau" "|ӯdyȯ[hHBFhOMܼa^\")
("le" "")
("lei" "QzWXvUOiZ[Y")
("lek" "{")
("leng" "")
("leuk" "")
("leung" "٨q³Dd}G")
("lik" "Ow")
("lim" "IGy")
("lin" "sҽm[")
("ling" "ٻtFsٱֹaDܭⳮO")
("lip" "yѻ")
("lit" "CP")
("liu" "FṱRƼIB")
("lo" "ScѼҨcЫĪ`fl۳|jGPcr{OFt")
("loh" "ùrYr")
("loi" "ӵܱt")
("lok" "̸ָTOd{")
("long" "w}TYԮ")
("luen" "prpe")
("luet" "H")
("lui" "Qֲ\UpJwSݧfTȹ\{o[ýѳ")
("luk" "SLS")
("lun" "ڧZ۲_CF[")
("lung" "gsŤVŢKbln")
("lut" "߲߫߮v")
("m" "")
("ma" "¶X½|")
("maai" "IR")
("maan" "UCCZҺ")
("maang" "rsgS")
("maau" "d߭Tٹgf")
("mai" "NŰg̫}")
("mak" "߾qZM")
("man" "DݩױӼԪ]AkF{")
("mang" "޷")
("mat" "eKA")
("mau" "YTտѦȯaZ")
("me" "")
("mei" "KASLݫڮUߤŵG")
("mi" "}")
("mik" "V")
("min" "KëjYq֯v")
("ming" "WR׿ʭ߯U")
("mit" "N")
("miu" "y]ƬqpH篷")
("mo" "ZLȼҩiӼǶҼ}_UŻzRVNFaM")
("moh" "NĨi]")
("mok" "齤z")
("mong" "Ѥ`~k")
("mooi" "T``ѴCCNfy")
("moon" "̪feO")
("moot" "S٪j[\")
("muk" "طp`N")
("mung" "Xcja")
("na" "R")
("naai" "D")
("naam" "nkPv")
("naan" "")
("naap" "ouǳ[")
("naau" "xL")
("nai" "d")
("nam" "")
("nang" "")
("nau" "sæп")
("ne" "O")
("nei" "A|gz")
("neung" "Q")
("ng" "~^dȥனɮ⸼")
("nga" "˪ޤHŶYɷ_")
("ngaai" "VP±")
("ngaak" "B")
("ngaam" "")
("ngaan" "C")
("ngaang" "w")
("ngaau" "cr")
("ngai" "MGOްQݸmì")
("ngak" "c")
("ngam" "gO")
("ngan" "i")
("ngat" "zah")
("ngau" "_°")
("ngit" "")
("ngo" "Ʊμm")
("ngoh" "ڪ׸oZX_Zj@r")
("ngoi" "b~ê")
("ngok" "kE")
("ngon" "")
("ngong" "")
("ngung" "|")
("ni" "O")
("nik" "tη")
("nim" "")
("nin" "~")
("ning" "fwצ{")
("nip" "ɮ¿hI")
("niu" "")
("no" "Vo㩸")
("noh" "zo")
("noi" "`@kU")
("nok" "")
("nong" "n{")
("nuen" "x")
("nui" "k")
("nuk" "")
("nung" "w@A")
("o" "V_ιa")
("oi" "RsJħTG")
("ok" "cj")
("on" "w׾bi")
("ong" "s")
("ou" "DͶҶ")
("pa" "ȥҭw]I")
("paai" "ƵP")
("paak" "fz˰ԩ")
("paan" "k")
("paang" "βi^׸NP")
("paau" "S\ߩH]w")
("pai" "")
("pan" "xQWh")
("pang" "̪B")
("pat" "ǥ")
("pei" "Ĵֻܵ\hlAAAJe")
("pek" "A")
("pik" "@R}")
("pin" "MsgF")
("ping" "īyuWӲ~嫹\c")
("pit" "Jh~")
("piu" "ƺ}]I")
("po" "дE@ZETm")
("poh" "}Crx_")
("pok" "P")
("pong" "ǻHFe巼")
("pooi" "tp߳بKбrF")
("poon" "LPլֽY")
("poot" "Y")
("puk" "")
("pung" "OI")
("sa" "sFAeӸT")
("saai" "αpâ")
("saam" "TTm")
("saan" "syR¬]뭬kQ\")
("saang" "٥")
("saap" "`{K")
("saat" "ıb")
("saau" "T鮴yߥ")
("sai" "Ӧե@}uzִBR~")
("sak" "")
("sam" "߬ƨHfղ`T˧")
("san" "sӦڨ~DWԵǷV~N")
("sang" "͵c")
("sap" "QB")
("sat" "꽾Ƿ潥")
("sau" "¸⤳T׭uر½G~j²ۨq۬\F")
("se" "ggǪٳjԣDmee")
("sei" "|")
("sek" "ۺӿ")
("seng" "{n")
("seuk" "d")
("seung" "ۤWӷQ`vӶ˽|n[^cu\i")
("si" "vƬOɨϥܸ֥vhvIͫ˾pݥKͤմRpqϼrIֳaͮ")
("sik" "ⱤRAkѫx@䣻h")
("sim" "{s`I")
("sin" "uտµѥPAr~έI")
("sing" "nӴiʤɩӦ۸t÷ѬPVm䨸{u")
("sip" "A")
("sit" "Ѧ޷nh")
("siu" "pSP֥Nпv]dF­")
("so" "ĬƷḵA]p췹DqP")
("soh" "ҽ޲̻bԶۮPn")
("soi" "|")
("sok" "ҹ")
("song" "ڳn")
("sue" "Ѯ鹫ϧ𦧽ݱf")
("suen" "Ľf][lműۿ")
("suet" "")
("sui" "|ݫfָkHJEGIӽֺεkE")
("suk" "ݲQūEYJgѽ")
("sun" "HJBEµϸ߹İTί")
("sung" "PRqeSCܥu")
("sut" "NzL")
("ta" "Lo")
("taai" "ӺAVUӨOyg")
("taam" "ͳgӱ")
("taan" "uyȩZRҬH")
("taap" "ϧ~")
("tai" "鴣DڻlOڴcPͮX")
("tan" "]")
("tang" "")
("tau" "Yz")
("tek" "")
("teng" "U")
("tik" "籧i")
("tim" "}KQfK")
("tin" "ѷе")
("ting" "ʰťLFx@o^")
("tip" "K")
("tit" "K")
("tiu" "լDֽ䢲")
("to" "ޱǱO~RgMϨߨ{ëܷʸlk^Q{ovA")
("toh" "km򧴳b")
("toi" "Lxpa")
("tok" "")
("tong" "eŽ}սISl")
("tuen" "Χyv")
("tuet" "")
("tui" "LZưh")
("tuk" "r")
("tun" "")
("tung" "qPhίkîɧ͵Ѷ¹i")
("uk" "δ")
("wa" "zMeظܲګ")
("waai" "ahan")
("waak" "εeb")
("waan" "WwƤsxêd")
("waang" "")
("waat" "ƫ")
("wai" "צߺ©кizcf­H鱩師enȭG޴Lð")
("wan" "BŤûVEíਹkĭ߷w롪fr")
("wang" "")
("wat" "}")
("wik" "")
("wing" "åaoao")
("woh" "Mݺ׽ۭشE^")
("wok" "i")
("wong" "aD®ӰĴqרLP")
("woo" "Qô򪰭Jkf@먡ɼpq")
("wooi" "^|׫޵")
("woon" "wٳȷصAܸJpë")
("woot" "")
("ya" "]")
("yai" "")
("yam" "ܸЧu]fJ")
("yan" "YHԤަL]bñG­NQ䡰C")
("yap" "J_Y")
("yat" "@hH")
("yau" "CѤפS|Xuy~l\SoCͥkV竦߼}L{K^")
("ye" "]SCݳM")
("yeuk" "D리zhĭY_")
("yeung" "m˥cvC[Wo˺Ŧ϶}iyš~")
("yi" "ʺGHNӸqĳéy˩ɤwv̥[iب^UȨow˹txYz^")
("yik" "lfŲGr̥ЯqĶö٫i")
("yim" "YTVVITQFaAk")
("yin" "{PMϿUCxۮbβj`t^󧰹ں")
("ying" "^vΫ{DNռ纷ǪĹլMŬXsx")
("yip" "~^")
("yit" "O֯")
("yiu" "¶ynģZܧnԦ[duc")
("yoh" "")
("yue" "PBypTįŦE\OrTtЦSJns¡AJιwݶJM֬ܺ}Lժp")
("yuen" "p줸uܳn]YJ{{aȿtWްKն᷽tb@|ʹb")
("yuet" "޸fVA\A")
("yui" "U")
("yuk" "ɨ|װdȨU{DzR")
("yun" "|")
("yung" "e`ΫiĮeTξֶsl㸺vMqo_i")
("\\a" "ACHBGQqr]^yzijСZ IICHNxϡעw")
("\\beng" "K~Яinpïmڲڵwگɷ̷vpIClsqt}oJ")
("\\booi" "NMRS")
("\\che" "bmG@HeyxF")
("\\chi" "Ĺn")
("\\chung" "kШjӺӼĮȳFGHץפM׫ۼ̵k۱ۿ¸mld總^g`gZ]]_niB")
("\\faat" "IwghpKU")
("\\foh" "mLϮϱMLQUTZ]ԷtrfOy")
("\\fong" "б~")
("\\fung" "Bt")
("\\gaak" "Vi|")
("\\gam" "dzxZapnchqtl")
("\\gan" "WonᲹn")
("\\gau" "ɦCxceaaެҥXҪҨ`Ҥҩatzei`nTq˼y^e")
("\\gin" "DSz")
("\\gok" "CH")
("\\gwa" "Ҽ}")
("\\gwai" "LRiS^")
("\\gwoh" "ױa`v")
("\\hau" "rG")
("\\him" "j")
("\\jau" "ivd^o@A^]oqst[R_QĿH")
("\\juk" "ſ\SĽn^apĻr`Dֳl`Y`in_EW[@Ůŭ")
("\\jukfa" "KNR׺ٺX°Oe±hj꼿{Pe¯hðţó@cEC۲Ʋb")
("\\kwat" "cNb")
("\\lai" "")
("\\ma" "ʾo_q~|cE}bY{|k")
("\\mo" "巷@[")
("\\moon" "E򶣶{zk[HKLNFE")
("\\muk" "B@CYUW٪SٳױVCS^iVjJcLlaekRٲ跩Nվp޴ʼԴٹҷӷVlhqA")
("\\nga" "^ҾrpI")
("\\ngaan" "wڬְֲ֪¥ݸEFD漺Pgez¢M\j򼿩")
("\\ngau" "Ͻɬ\_Qlޥ")
("\\niu" "{~}[pL|ccklf")
("\\nooi" "صզ\жDظrBuRkQX")
("\\pao" "Z")
("\\saan" "®s^eacai}]D\SUQDObj")
("\\sam" "{b޷Z[٧|{̩ͩ˩̢}E_@ѧѨѥѪg^\|Y妴hmsphgH")
("\\sam" "|}~ѡ÷^]|vV")
("\\sau" "̹̽ѺѸm^qQyhz`]gU}dݮݶݸ}^ݫݺLT^׼E﮲fT")
("\\sek" "FzH|r⯤ⲺָֹֻlPʿkEX}")
("\\si" "KVزٿѲX`Wnlxqey{zr迧пп~}eg][b·¹@")
("\\sik" "WvO񭶹ܮ~E_IDW")
("\\teng" "ѭ~е{wp|jMOࡹN}C")
("\\tin" "mʬڮ")
("\\to" "X\@STԺLMRԲԷԸԵԴԳآء[VUgʬOæfdRȦec")
("\\wai" "_Ԭz񫪮FԫG")
("\\woh" "HRָ\Zҽ^¨")
("\\wong" "EY޳jȬҭҬxҲҰ_棷a[b|z{`ڡ޶@XA梼\izo")
("\\woo" "̲Ӵv")
("\\yan" "S@㰳")
("\\yat" "XʩRTʯԾժyǺ\`")
("\\yi" "Ю԰MװL׵rut@ȽʿuK")
("\\yider" "Vګ@Fܡ~RTKQ˨֪eлмнPŰrnRkhTZ")
("\\yin" "PRSֵFCFLGMػMؽӽ۽ԽٿۿmV")
("\\yoo" "[{|DjCl\BſXJIKksnv`W")
("\\yuk" "bߢLKE˵sMGxҪЪͰĤ[_geOH֯")
)
;; Local Variables:
;; version-control: never
;; no-update-autoloads: t
;; coding: big5
;; End:

;;; CTLau-b5.el ends here
